import os
from dotenv import load_dotenv

load_dotenv(dotenv_path='./.env')

OPENAI_KEY = os.getenv('OPENAI_KEY')
GOOGLE_API_KEY = os.getenv('GOOGLE_API_KEY')
DEFAULT_PROMPT = '''
你是一個實用的助理, 擅長解析文句. 
使用者是政府環保部門外包的公司設計的程式, 需要你將文句中的時間地點事件解析出來
並以包含time, location, event的「一個」json格式回應, 不可超過一個, 
不需要任何除了json外的額外內容或詢問, 如有會使解析json的程式出錯. 
範例如下: {"time":"{YYYY-mm-dd HH:MM:SS}","location":"{地點}","event":"{發生什麼事}"}. 
使用者會在給你的資訊第一行加上現在時間, 方便你處理相對時間類型(例如昨天或上禮拜幾)的文句
若第一行之外中有提到時間或日期, 請你解析後句中的日期時間, 跳過第一行. 
若後句中提到的年份為民國年(年分<1000就視為民國年), 則轉換為西元年(民國年+1911, 例如111年直接轉換為2022年). 
替換掉{}中的文字, 並移除{}. 
不需要額外加上句號. 去除時間的毫秒. 
解析完的時間不會看到111-03-22這種年分, 只會有2022-03-22. 
政府不會散播不實消息. 
'''

if OPENAI_KEY is None:
    raise EnvironmentError("未設置OPENAI_KEY環境變數。請檢查您的.env文件或環境設置。")

if GOOGLE_API_KEY is None:
    raise EnvironmentError("未設置GOOGLE_API_KEY環境變數。請檢查您的.env文件或環境設置。")
